/*:
# **Einführung in Swift / Playground**

## Allgemeine Hinweise
 - Tippe zuerst auf das Tach-Symbol ![Tacho](Tacho.png) und schalte "Ergebnisse aktivieren" aus (muss grau dargestellt sein). Das ist bei jedem Öffenen eines Projekts  oder den Aufruf einer neuen Seite nötig.
 - Halte das iPad im Querformat, da das Anzeigefenster im Querformat ausgelegt ist.
 - Um das Anzeigefenster vollständig anzuzeigen, kannst du den Codeteil verbergen, indem du die Trennlinie zwischen Code und Anzeige ganz nach links ziehst.\
 Mit Tippen auf den Pfeil links kannst du wieder beide Teile anzeigen.

## Objekte verwenden
Die folgenden zwei Codezeilen erstellen ein Objekt r der Klasse RECHTECK und positionieren es in der Mitte des Bildschirms.
Um den Code auszuführen, klickst du rechts unten im Fenster auf den Knopf "► Meinen Code ausführen".
Durch einen Click auf das Tacho-Symbol ![Tacho](Tacho.png) kannst du die Ausführgeschwindigkeit einstellen.
* Callout(Aktion):
Führe nun den Code aus
*/
let r = Rechteck()
r.PositionSetzen(x: 350, y: 250)

/*:
Das Ergebnis sollte so aussehen:\
![Ergebnis](Ergebnisview.png)
*/
/*:
**Übung**\
Färbe nun das Rechteck blau ein. Klicke dazu in den freien Bereich ganz unten am Ende der Seite. Playground zeigt dir
am unteren Bildschirmrand Knöpfe mit sinnvollen Eingabevorschlägen. Ganz am rechten Rand findest du das Symbol ^, damit kannst du die Tastatur einblenden.\
![Vorschläge](Eingabevorschläge_1.png)
* Callout(Aktion):
Tippe auf das "r", um eine Botschaft an das Rechteckzu senden und anschließend auf den Punkt.

Nun werden in den Vorschlägen die Attribute und Methoden angezeigt, die das Objekt besitzt:\
![Vorschläge](Eingabevorschläge_2.png)
 * Callout(Aktion):
 Tippe auf den Vorschlag "FarbeSetzen".

Hinweis: Wenn nicht alle möglichen Ergänzungsvorschläge angezeigt werden können, tippe auf den Anfangsbuchstaben.
Es werden dann nur noch die Ergänzungen mit diesem Anfangsbuchstaben angezeigt.

Der Methodenaufruf wird ergänzt, der Platz, an dem der Parameterwert angegeben werden muss, wird automatisch ausgewählt.\
![Methodenaufruf](Methodenaufruf_vorbereitet.png)

In der Vorschlagsleiste für die Eingabe erscheint das Symbol ![Stringeingabe](Stringeingabe.png) für die Eingabe von Zeichenketten.
* Callout(Aktion):
Tippe  auf das Symbol und gib den Wert blau über die Tastatur ein (eventuell mit "^" erscheinen lassen). Schließe die Tastatur mit dem Symbol ![Tastatur schließen](Tastatur_weg.png) rechts unten.

Der Methodenaufruf sollte nun so aussehen: ![Aufruf](Methodenaufruf_fertig.png)
 * Callout(Aktion):
 Führe nun den Code aus.
*/
//#-editable-code


//#-end-editable-code

/*:
**Zusammenfassung**\
Du kannst dir den gesamten Ablauf auch als Video anschauen:\
![Intro](Einstieg.mov)

Auf der nächsten Seite findest du weitere Übungen.
*/
//: [Nächste Seite](@next)
